Start Analysis - MindBridge Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Start Analysis
POST /v1/analyses/{analysisId}/start
Start Analysis
cURL
curl --request POST \
--url https://{tenant}.mindbridge.ai/api/v1/analyses/{analysisId}/start \
--header 'Authorization: Bearer <token>'
import requests
url = "https://{tenant}.mindbridge.ai/api/v1/analyses/{analysisId}/start"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant}.mindbridge.ai/api/v1/analyses/{analysisId}/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Response
202 - application/json
{
"id": "<string>",
"version": 123,
"creationDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"createdUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"lastModifiedUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"entityId": "<string>",
"error": "<string>",
"errorMessage": "<string>"
}
Authorizations
- Authorization: string, header required
- Bearer authentication header of the form
Bearer <token>, where<token>is your auth token.
- Bearer authentication header of the form
Path Parameters
- analysisId: string, required
Additional Information
- type: enum
, Indicates the type of job being run. Available options include ANALYSIS_RUN,ANALYSIS_SOURCE_INGESTION, etc. - status: enum
, Indicates the current state of the job. Available options include IN_PROGRESS,COMPLETE,ERROR. - entityId: string, Identifies the entity used in the job.
- entityType: enum
, Identifies the entity type used in the job. Available options include ORGANIZATION,ENGAGEMENT, etc. - error: string, The reason why the async job failed.
- errorMessage: string.